Package com.xebialabs.xlrelease.configuration

# Class SystemMessageSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.configuration.SystemMessageSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false) public class SystemMessageSettings extends BaseConfiguration

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SYSTEM_MESSAGE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemMessageSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getEndDate()`
  `String`
  `getMessage()`
  `Date`
  `getStartDate()`
  `boolean`
  `isAutomated()`
  `boolean`
  `isEnabled()`
  `void`
  `setAutomated(boolean automated)`
  `void`
  `setEnabled(boolean enabled)`
  `void`
  `setEndDate(Date endDate)`
  `void`
  `setMessage(String message)`
  `void`
  `setStartDate(Date startDate)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, getTitle, hasId, isSupportedOn, setCiUid, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SYSTEM_MESSAGE_ID

    public static final String SYSTEM_MESSAGE_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SystemMessageSettings

    public SystemMessageSettings()

- ## Method Details

  - ### isEnabled

    public boolean isEnabled()

  - ### setEnabled

    public void setEnabled(boolean enabled)

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public void setMessage(String message)

  - ### isAutomated

    public boolean isAutomated()

  - ### setAutomated

    public void setAutomated(boolean automated)

  - ### getStartDate

    public Date getStartDate()

  - ### setStartDate

    public void setStartDate(Date startDate)

  - ### getEndDate

    public Date getEndDate()

  - ### setEndDate

    public void setEndDate(Date endDate)